Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002548Piwigoimage processingpublic2012.01.03 21:202012.02.02 21:59
Reporterrvelices 
Assigned Torvelices 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3.2 
Target Version2.4.0beta2Fixed in Version2.4.0beta2 
Summary0002548: multisize improvement
Descriptionwatermark, sharpen, core upgrade, migration script ...
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0001560closedrvelices Add a configuration for thumbnails dimensions. 

-  Notes
(0005899)
svn (reporter)
2012.01.03 21:21

[Subversion] r12831 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize
- rewrote local site sync + metadata sync
(0005901)
svn (reporter)
2012.01.05 22:35

[Subversion] r12851 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - sharpen + watermarks (partially implemented / no test with imagick extension)
(0005902)
svn (reporter)
2012.01.05 23:06

[Subversion] r12855 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - improved picture.php display (original...) + code cleanup
(0005909)
svn (reporter)
2012.01.08 20:25

[Subversion] r12865 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - added a page to build missing derivatives
 - browser driven, chained ws calls to retrieve urls, visual feedback of progress through slideshow
(0005921)
svn (reporter)
2012.01.12 22:37

[Subversion] r12879 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548, multiple size:

* adapt the upload script

* remove the resize settings screen

* add a new screen [Administration > Configuration > Options > Photo Sizes]
  with the ability to resize original after upload
(0005922)
plg (manager)
2012.01.12 22:40

TODO :

* remove "regenerate thumbnails/websizes" on global manager (or do it another way)
* remove the obsolete resize settings "upload_form_*"
(0005941)
svn (reporter)
2012.01.17 01:11

[Subversion] r12906 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 (multiple sizes): adapt the web API method pwg.images.add (used
by pLoader, Digikam, Lightroom, iPhoto), pwg.images.checkFiles (pLoader only).

The "resize" parameter was removed for pwg.images.add since this behavior
becomes the default behavior in Piwigo 2.4.

Just like pwg.images.addSimple, pwg.images.add now uses the add_uploaded_file
function (next step is to merge pwg.images.add and pwg.images.addSimple)
(0005942)
svn (reporter)
2012.01.17 01:17

[Subversion] r12907 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 (multiple size): better delete derivatives in add_uploaded_file
function when performing an update of a photo.
(0005943)
svn (reporter)
2012.01.17 07:09

[Subversion] r12908 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - ability to choose displayed size on index page
-added some logs on i.php (configurable) to measure the perf
(0005945)
svn (reporter)
2012.01.17 22:02

[Subversion] r12917 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - implement delete_element_derivatives
(0005948)
svn (reporter)
2012.01.17 22:58

[Subversion] r12920 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - code cleanup + better usage in category_cats + i.php logs memory usage peak
(0005952)
svn (reporter)
2012.01.20 06:37

[Subversion] r12930 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize
- comments thumbnails + no more hard coded thumbnail sizes in css
- removed admin thumbnail page + language cleanup
(0005961)
svn (reporter)
2012.01.24 20:24

[Subversion] r12954 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize
- added define_derivative template functiion for themes and plugins
- code cleanup, new events ...
(0005962)
svn (reporter)
2012.01.24 22:50

[Subversion] r12956 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - watermark for imagick extension
(0005963)
svn (reporter)
2012.01.26 22:15

[Subversion] r12958 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - small fixes
(0005983)
svn (reporter)
2012.02.02 21:59

[Subversion] r13021 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2548 multisize - custom sizes restricted to those requested by theme/plugin
code refacto

- Issue History
Date Modified Username Field Change
2012.01.03 21:20 rvelices New Issue
2012.01.03 21:20 rvelices browser => any
2012.01.03 21:20 rvelices Web server => Apache 1.3.x
2012.01.03 21:21 svn Checkin
2012.01.03 21:21 svn Note Added: 0005899
2012.01.05 22:35 svn Checkin
2012.01.05 22:35 svn Note Added: 0005901
2012.01.05 23:06 svn Checkin
2012.01.05 23:06 svn Note Added: 0005902
2012.01.08 20:25 svn Checkin
2012.01.08 20:25 svn Note Added: 0005909
2012.01.12 22:37 svn Checkin
2012.01.12 22:37 svn Note Added: 0005921
2012.01.12 22:40 plg Note Added: 0005922
2012.01.17 01:11 svn Checkin
2012.01.17 01:11 svn Note Added: 0005941
2012.01.17 01:17 svn Checkin
2012.01.17 01:17 svn Note Added: 0005942
2012.01.17 07:09 svn Checkin
2012.01.17 07:09 svn Note Added: 0005943
2012.01.17 22:02 svn Checkin
2012.01.17 22:02 svn Note Added: 0005945
2012.01.17 22:58 svn Checkin
2012.01.17 22:58 svn Note Added: 0005948
2012.01.20 06:37 svn Checkin
2012.01.20 06:37 svn Note Added: 0005952
2012.01.20 19:37 rvelices Relationship added related to 0001560
2012.01.24 20:24 svn Checkin
2012.01.24 20:24 svn Note Added: 0005961
2012.01.24 22:50 svn Checkin
2012.01.24 22:50 svn Note Added: 0005962
2012.01.26 22:15 svn Checkin
2012.01.26 22:15 svn Note Added: 0005963
2012.02.02 00:13 plg Assigned To => rvelices
2012.02.02 00:13 plg Status new => closed
2012.02.02 00:13 plg Resolution open => fixed
2012.02.02 00:13 plg Fixed in Version => 2.4.0beta2
2012.02.02 21:59 svn Checkin
2012.02.02 21:59 svn Note Added: 0005983


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker